import { OpenAPIHono } from '@hono/zod-openapi';
import listRoute from './get';
import getByKeyRoute from './[key]/get';
import updateRoute from './[key]/put';
import batchUpdateRoute from './batch-put';

const app = new OpenAPIHono()
  .route('/', listRoute)
  .route('/', getByKeyRoute)
  .route('/', updateRoute)
  .route('/', batchUpdateRoute);

export default app;